#ifndef QMEDIAINFO_H
#define QMEDIAINFO_H

#include <QObject>
//#include "qvariant.h"
#include <MediaInfoDLL.h>

class QMediaInfo : public QObject, public MediaInfoDLL::MediaInfo {
    Q_OBJECT

public:
    QMediaInfo(QObject* parent = nullptr);
    enum HDR_Type{ERR = -1, SDR = 0, HDR = 1, DOVI = 2};
    enum HDR_Type getHDRType(const MediaInfoDLL::String fileName);

    Q_ENUM(HDR_Type)
    Q_INVOKABLE enum HDR_Type getHDRType(QString fileName);
    Q_INVOKABLE QString fixFileName(QString fileName);

private:

};


#endif // QMEDIAINFO_H
